extends Area2D

onready var rune = get_node("..")
func _ready():
	connect("mouse_entered", self, "set_mouse_rune")
	connect("mouse_exited", self, "unset_mouse_rune")


# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#	pass

func set_mouse_rune():
	if not rune.is_flying and not rune.found:
		selection.queue_mouse_target(self)
	
func unset_mouse_rune():
	selection.unqueue_mouse_target(self)
	
func confirm_mouse_rune():
	rune.base_modulate = Color(1.0, 1.0, 0.0)
	rune.update_modulate()

func unconfirm_mouse_rune():
	rune.base_modulate = Color(1.0, 1.0, 1.0)
	rune.update_modulate()
