extends Control

var level

var mouse_target = null  # Attention, area2d, pas la rune direct
var queue_mouse_target = {}  # mouse_target is in queue

var inited = false

func _ready():
	global.connect("restart", self, "clean_mouse_target")
	clean_mouse_target()

func _input(event):
	if event.is_action_pressed("select") and inited:
		var targetpos = get_local_mouse_position()
		var runneur = level.get_node("Runneur")
		runneur.move_absolut(targetpos)

func queue_mouse_target(target):
	queue_mouse_target[target] = target
	set_top_queued_rune()

func unqueue_mouse_target(target):
	queue_mouse_target.erase(target)
	set_top_queued_rune()
		
func set_mouse_target(target):
#	if mouse_target:
#		mouse_target.unset_mouse_rune()
	if mouse_target and mouse_target != target:
		mouse_target.unconfirm_mouse_rune()
		
	mouse_target = target
	
	if mouse_target:
		mouse_target.confirm_mouse_rune()

func set_top_queued_rune():
	var h = 0
	var rune = null
	for i in queue_mouse_target.keys():
		if i.rune.height >= h:  # not i.rune.is_flying and not i.rune.found and 
			rune = i
			h = i.rune.height
	set_mouse_target(rune)

func clean_mouse_target():
	set_mouse_target(null)
	queue_mouse_target = {}
